//Experiment-10
// windows Vista - 32-Bit
//Scilab - 5.5.2


// Aim : A SCILAB  program  for  computing the ABCD parameters of short, medium and long transmission lines

clc 
clear all
disp('Enter your choice:')
disp('1 : for short transmission line') 
disp('2 : for medium transmission line') 
disp('3 : for long transmission line') 
check = input('Enter your choice : ')
R = input('Enter the line Resistance in Ohms : ') 
L = input('Enter the line Inductance in Henry : ') 
C = input('Enter the line Capacitance in Farad : ') 
f = input('Enter the frequency : ')
X = 2*%pi*f*L
Z = R + %i*X;
Y = %i*2*%pi*f*C
if(check==1)
Adata = 1; // ABCD in cartesian form
Bdata = Z; // ABCD in cartesian form
Cdata = 0; // ABCD in cartesian form
Ddata = 1; // ABCD in cartesian form
Result = [Adata, Bdata, Cdata, Ddata]
mprintf('ABCD constant for Short Transmission line\n  A constant  = %f \n  B constant= %f + i %f  ohm \n C constant=%f  mho \n D constant = %f \n',Adata,real(Bdata),imag(Bdata),Cdata,Ddata)
end

if(check==2)
disp(' Enter 1 for Nominal T-method') 
disp('Enter 2 for Nominal PI-method') 
s = input('Enter your choice : ') 
if(s==1)
Adata = 1 + (Y*Z)/2; 
Bdata = Z*(1 + (Y*Z)/4); 
Cdata = Y;
Ddata = (1 + (Y*Z)/2);

Result = [Adata, Bdata, Cdata, Ddata]
mprintf('ABCD constant for Medium Transmission line Nominal T-method \n  A constant  = %f + i %f \n  B constant= %f + i%f ohm \n C constant=%f + i %f  mho \n D constant = %f  + i%f \n',real(Adata),imag(Adata),real(Bdata),imag(Bdata),real(Cdata),imag(Cdata),real(Ddata),imag(Ddata))
else
Adata = 1 + (Y*Z)/2; 
Bdata = Z
Cdata = Y * (1 + (Y*Z)/4); 
Ddata = (1 + (Y*Z)/2);
Result = [Adata, Bdata, Cdata, Ddata]
mprintf('ABCD constant for Medium Transmission line Nominal PI-method\n  A constant  = %f + i %f \n  B constant= %f + i%f ohm \n C constant=%f + i %f  mho \n D constant = %f  + i%f \n',real(Adata),imag(Adata),real(Bdata),imag(Bdata),real(Cdata),imag(Cdata),real(Ddata),imag(Ddata))
end end

if(check==3)
Adata = cosh(sqrt(Y*Z));
Bdata = (sqrt(Z/Y) * sinh(sqrt(Y*Z))); 
Cdata = (1/sqrt(Z/Y) * sinh(sqrt(Y*Z))); 
Ddata = cosh(sqrt(Y*Z));
Result = [Adata,Bdata,Cdata,Ddata];
mprintf('ABCD constant for Long Transmission line \n A constant  = %f + i %f \n  B constant= %f + i%f ohm \n C constant=%f + i %f  mho \n D constant = %f  + i%f \n',real(Adata),imag(Adata),real(Bdata),imag(Bdata),real(Cdata),imag(Cdata),real(Ddata),imag(Ddata))
end

//
//output:-
//
//For Short Transmission line
//
//Enter your choice:   
// 
// 1 : for short transmission line   
// 
// 2 : for medium transmission line   
// 
// 3 : for long transmission line   
//Enter your choice : 1
//Enter the line Resistance in Ohms : 20
//Enter the line Inductance in Henry : 50
//Enter the line Capacitance in Farad : 0.0003
//Enter the frequency : 50
//ABCD constant for Short Transmission line
//  A constant  = 1.000000 
//  B constant= 20.000000 + i 15707.963268  ohm 
// C constant=0.000000  mho 
// D constant = 1.000000 
//
//
//For Nominal T method of medium Transmission line
//
//Enter your choice:   
// 
// 1 : for short transmission line   
// 
// 2 : for medium transmission line   
// 
// 3 : for long transmission line   
//Enter your choice : 2
//Enter the line Resistance in Ohms : 20
//Enter the line Inductance in Henry : 50
//Enter the line Capacitance in Farad : 0.0003
//Enter the frequency : 50
// 
//  Enter 1 for Nominal T-method   
// 
// Enter 2 for Nominal PI-method   
//Enter your choice : 1
//ABCD constant for Medium Transmission line Nominal T-method 
//  A constant  = -739.220330 + i 0.942478 
//  B constant= -14784.406602 + i-5797959.489510 ohm 
// C constant=0.000000 + i 0.094248  mho 
// D constant = -739.220330  + i0.942478 
//
//For Nominal PI method of medium Transmission line
//
//Enter your choice:   
// 
// 1 : for short transmission line   
// 
// 2 : for medium transmission line   
// 
// 3 : for long transmission line   
//Enter your choice : 2
//Enter the line Resistance in Ohms : 20
//Enter the line Inductance in Henry : 50
//Enter the line Capacitance in Farad : 0.0003
//Enter the frequency : 50
// 
//  Enter 1 for Nominal T-method   
// 
// Enter 2 for Nominal PI-method   
//Enter your choice : 2
//ABCD constant for Medium Transmission line Nominal PI-method
//  A constant  = -739.220330 + i 0.942478 
//  B constant= 20.000000 + i15707.963268 ohm 
// C constant=-0.044413 + i -34.787813  mho 
// D constant = -739.220330  + i0.942478 
//
//
//For long Transmission line
//
//Enter your choice:   
// 
// 1 : for short transmission line   
// 
// 2 : for medium transmission line   
// 
// 3 : for long transmission line   
//Enter your choice : 3
//Enter the line Resistance in Ohms : 20
//Enter the line Inductance in Henry : 50
//Enter the line Capacitance in Farad : 0.0003
//Enter the frequency : 50
//ABCD constant for Long Transmission line 
// A constant  = 0.712960 + i 0.017183 
//  B constant= 7.310527 + i286.435826 ohm 
// C constant=0.000042 + i 0.001719  mho 
// D constant = 0.712960  + i0.017183 